<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <!-- 
      loads the http over https ssl - 
      welcome to my website! 

	this theme is based off the Ice & Fire theme created by Lucas Gatsas
      https://www.twitter.com/LucasGatsas
      www.lucasgatsas.ch - switzerland. 
                                                    -->

    <!--
<script type="text/javascript">
var host = "https://fizzixnerd.com/";
if ((host == window.location.host) && (window.location.protocol != "https:"))
    window.location.protocol = "https";
</script>
-->
    <!-- Microsoft Internet Explorer documentMode compatMode setting IE Modus -->
    <script type="text/javascript">
        var IE = null;
        if (window.navigator.appName == "Microsoft Internet Explorer") {
            if (document.documentMode) {

                IE = document.documentMode;
            } else {

                IE = 5;
                if (document.compatMode) {
                    if (document.compatMode == "CSS1Compat")
                        IE = 11;
                }
            }
        }
    </script>

    <meta charset="utf-8">
    <!-- X-UA -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="X-UA-Compatible" content="IE=11" />
    <meta name="google" content="notranslate" />
    <!-- Viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- index ROBOTS follow -->
    <meta name="robots" content="index, follow" />
    <!-- Site Desciption -->
    
    <meta name="description" content="Locus of Learning">
    

    <meta name="keywords" content="Katy Chuang, katychuang, data science, Web Developer">
    <!-- Favicon -->
    <link rel="shortcut icon" href="../static/img/favicon.png" type="image/x-icon" />
    <!-- Blog Title -->
    
    <title>Independent Learning in Science: An Introduction</title>
    
    <!--     <title>{% if page.title %}{{ page.title }} - {{ site.title }}{% else %}{{ site.title }}{% endif %}</title>
    -->
    <!-- Property Metas -->
    <meta property="og:image" content="/static/img/ix.png" />
    
    <meta property="og:title" content="Locus of Learning" />
    <meta property="og:site_name" content="Locus of Learning" />
    
    <!-- Canonical -->
    <link rel="canonical" href="{{ page.url | replace:'index.html','' | prepend: site.baseurl | prepend: site.url }}">
    <!-- StyleSheet -->
    <link rel="stylesheet" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" href="../static/css/spaceg.stylesheets.css">
    <link rel="stylesheet" href="../static/css/syntax.css">
    <!-- Fonts -->

    <link href="https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic,900,900italic" rel="stylesheet" type="text/css">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Playfair+Display:400,700,900,400italic,700italic,900italic" rel="stylesheet" type="text/css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <style>
        #preloader {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #fff;
            /* change if the mask should have another color then white */
            z-index: 99;
            /* makes sure it stays on top */
        }

        #status {
            width: 200px;
            height: 200px;
            position: absolute;
            left: 50%;
            /* centers the loading animation horizontally one the screen */
            top: 50%;
            /* centers the loading animation vertically one the screen */
            background-image: url("/static/img/preloader.gif");
            /* path to your loading animation */
            background-repeat: no-repeat;
            background-position: center;
            margin: -100px 0 0 -100px;
            /* is width and height divided by two */
        }

        ul,
        ol {
            margin-top: 0;
            margin-bottom: 10px;
        }

        .navbar-inverse {
            background-color: #FFF;
            border-color: #FFFFFF;
        }
    </style>
    <!--link rel="stylesheet" href="/static/css/prettify.css"-->
    <style>
        header.intro-header {
            background: #6f5499;
            background: no-repeat center center;
            background-attachment: scroll;
            -webkit-background-size: cover;
            -moz-background-size: cover;
            background-size: cover;
            -o-background-size: cover;
        }

        /* Preloader */
        #preloader {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #fff;
            /* change if the mask should have another color then white */
            z-index: 99;
            /* makes sure it stays on top */
        }

        #status {
            width: 200px;
            height: 200px;
            position: absolute;
            left: 50%;
            /* centers the loading animation horizontally one the screen */
            top: 50%;
            /* centers the loading animation vertically one the screen */
            background-image: ;
            /* path to your loading animation */
            background-repeat: no-repeat;
            background-position: center;
            margin: -100px 0 0 -100px;
            /* is width and height divided by two */
        }

        li {
            list-style: none;
        }

        body.modal-open {
            overflow: hidden;
            padding-right: 0px;
        }

        article li {
            list-style: inherit;
        }

        article .figure {
            text-align: center
        }
    </style>
    <!-- end Loading front stylesheet here -->
</head>


<body>
    <div id="preloader">
        <div id="status">

        </div>

    </div>
    <!-- Navigation -->
<nav class="navbar navbar-default navbar-custom navbar-fixed-top">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header page-scroll">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="../" id="blog-title-left-top">w</a>
        </div>
        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav navbar-right">
                <li><a href="../about">About</a></li>
                <li><a href="../contact">Contact</a></li>
                <!-- <li><a href="/archive">Archive</a></li> -->
                
                <li><a href="https://www.github.com/Fizzixnerd" id="roundbutton" target="_blank"><i class="fa fa-github"></i>Fizzixnerd</a></li>
                
            </ul>
        </div>
        <!-- /.navbar-collapse -->
    </div>
    <!-- /.container -->
</nav>


    <div id="content">
        <!-- Post Header -->
<header class="intro-header" style="background-image: url('/static/img/beach.jpg')" alt title>
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                <div class="post-heading">
                    <h1>Independent Learning in Science: An Introduction</h1>
                    
                    <span class="meta">
                        
                        December  8, 2018
                    </span>
                </div>
            </div>
        </div>
    </div>
</header>

<!-- Post Content -->
<article>
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">

                <h1 id="wikipedia">Wikipedia</h1>
<p>Lots of people use Wikipedia to learn about topics, especially as an introduction. Wikipedia is a fantastic reference, and this post isn’t meant to criticize it in any way. I will, however, discuss some issues that tend to come up when you try to learn about something new on Wikipedia.</p>
<h2 id="links-for-days">Links for Days</h2>
<p>Most people have had the experience of starting somewhere on Wikipedia and then ending up somewhere completely different, unable to remember how they even got there. One minute you’re looking up information on the Golden Gate Bridge, the next you’re reading about Marlon Brando’s performance in <em>The Godfather</em>. This is one of the great strengths of Wikipedia over traditional encyclopedias: hyperlinks. It comes with a price, however.</p>
<h3 id="link-loops">Link Loops</h3>
<p>Sometimes when I’m just jumping into a topic I know very little about, I try Wikipedia. Often what happens is that I’ll read an article, understand none of the important words on the page, open up like 7 new tabs for each of these hyperlinked words, and then recurse down to these new pages, sometimes leading you back to where you started. This is a form of <em>dependency hell</em>. The goal is to find something you understand and work your way back up, but this can be difficult. It can be hard to even figure out what’s critical to understanding an article, and what is just a connection to another topic you don’t necessarily care about. An example is in order.</p>
<p>Suppose I wanted to learn what a <a href="https://en.wikipedia.org/wiki/Frame_bundle">frame bundle</a> is. As of the time of writing, the introduction reads:</p>
<p>&quot;In mathematics, a frame bundle is a <em>principal fiber bundle</em> F(E) associated to any <em>vector bundle</em> E. The fiber of F(E) over a point x is the set of all <em>ordered bases</em>, or frames, for Ex. The <em>general linear group</em> acts naturally on F(E) via a <em>change of basis</em>, giving the frame bundle the structure of a principal GL(k, R)-bundle (where k is the rank of E).</p>
<p>The frame bundle of a <em>smooth manifold</em> is the one associated to its <em>tangent bundle</em>. For this reason it is sometimes called the tangent frame bundle.&quot;</p>
<p>I have italicized all the hyperlinked words. Now, I don’t quite remember the definition of a vector bundle, and I don’t know what a principal fiber bundle is at all. I should also probably review what a tangent bundle is, since it’s been a while since I’ve seen those. The rest I believe I understand.</p>
<h3 id="types-of-hyperlinks">Types of Hyperlinks</h3>
<p>These three links can be categorized as follows:</p>
<ul>
<li><em>vector bundle</em>: A term I knew that needs to be reviewed.</li>
<li><em>principal fiber bundle</em>: A term I don’t know.</li>
<li><em>tangent bundle</em>: A term that I know, but isn’t actually necessary for understanding the article. It’s merely an example of what is described.</li>
</ul>
<p>In this case, I can identify explicitly the types of each link, but this is not always the case, especially when you’re jumping into a completely new subject. It would be nice if somehow Wikipedia told us which was which, so that we could quickly review the terms we should know, and can read about the necessary prerequisite knowledge before returning to this article. Due to the way Wikipedia is structured, this is impossible – this is okay though, because the goal of Wikipedia isn’t to provide this kind of function. Wikipedia is designed to be an encyclopedia, which is more of a kind of reference than a textbook.</p>
<h1 id="ils">ILS</h1>
<p>What if we wanted to make something <em>like</em> Wikipedia, but with more of a focus on being a learning tool, rather than a comprehensive reference? Could we help the reader identify what they need to learn to understand the subject they actually care about? This is the foundational question behind Independent Learning in Science (ILS).</p>
<h2 id="restricted-links">Restricted Links</h2>
<p>The key idea is to restrict links in some way. Once more is known about a link in the form of a restriction, software can be used to infer intended uses. It can even be used to <em>suggest</em> usage. This is similar to how restricting the type of a variable in a programming language allows tools to infer intended usage, and to suggest contexts in which it’s applicable.</p>
<p>The restriction that ILS places on links is that only links to prerequisite material are allowed. This naturally enforces the condition that prerequisites cannot form loops, and so links can only point backwards to more basic concepts. Because of this, you will never see a link in ILS that leads you <em>further</em> from something you already understand. This simple idea allows you to do very interesting things, however.</p>
<h2 id="linearized-learning">Linearized Learning</h2>
<p>Suppose we have a highly simplified prerequisite tree that looks like the following:</p>
<pre><code>Topology -&gt; Manifolds -&gt; Smooth Manifolds -&gt; Tangent Frame Bundle
                                                ^
Fibre Bundles                                   |
     +        -&gt; Principal Fiber Bundle -&gt; Frame Bundle
   Groups
</code></pre>
<p>The arrows point in the direction you should read the articles to understand them in a logical order. For example, you would could read them in the following order: Topology, Fibre Bundles, Groups, Principal Fiber Bundle, Frame Bundle, Manifolds, Smooth Manifolds, Tangent Frame Bundle. Everything would flow more or less smoothly and, assuming things were properly linked, you wouldn’t encounter anything you didn’t have the prerequisite knowledge for.</p>
<p>The article could display this tree to you, and you could figure out where your current knowledge ended, and start making your way towards the goal of what you wanted to learn. Because this allows you to turn a tree of things to learn into a sequence, we call this <em>linearized learning</em>.</p>
<h2 id="prerequisite-suggesting">Prerequisite Suggesting</h2>
<p>We can do even better, however. We are not limited to having the user of our website navigate the tree themselves. We can do it for them, provided we already know what they’ve learned. Users of the ILS website will soon be able to have the prerequisites they still need for a an article directly suggested to them by the site, so long as they make an account and allow the site to track their progress.</p>
<p>This means the user can see exactly how far away they are from understanding a new concept. It also means that they can set targets, and the website will suggest a path for them to learn the necessary prerequisites to reach their goals.</p>
<h2 id="suggested-future-reading">Suggested Future Reading</h2>
<p>ILS can also facilitate continued education, by suggesting articles the website knows the user has the necessary prerequisites to understand. This can help alleviate the feeling of “now what?” that can happen when a student reaches the end of a textbook on a subject they are interested in.</p>
<p>These are just some of the things restricted links can give us. I will describe in another post more about these and other features later. Thanks for reading.</p>

                <hr>

                <ul class="pager">
                    
                    
                </ul>

            </div>
        </div>
    </div>
</article>
<hr>
    </div>
    <div id="footer">
    </div>
    <!-- Footer -->
<footer>
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                <ul class="list-inline text-center">
                    
                    <li>
                        <a href="https://github.com/Fizzixnerd" target="_blank">
                            <span class="fa-stack fa-lg">

                                <i class="fa fa-arrow-circle-o-down"></i>
                                <i class="fa fa-circle fa-stack-2x"></i>
                                <i class="fa fa-github fa-stack-1x fa-inverse"></i>
                            </span>
                        </a>
                    </li>
                    
                </ul>
                <p class="copyright text-muted">Copyright &copy; Matthew Walker 2019. <br><br>
                </p>
                <div class="col-md-12">
                    <p class="copyright text-muted">
                        Site generated by
                        <a href="http://jaspervdj.be/hakyll">Hakyll</a>. Modified theme inspired by
                        <!-- ICE AND FIRE THEME https://github.com/SpaceG/iceandfire -->
                        <a href="https://github.com/dindi-jekyll/CleanMagicMedium-Jekyll">CleanMagic</a>. Available on <a href="https://github.com/katychuang/CleanMagic-hakyll">GitHub</a> </p>
                </div>



            </div>
        </div>
    </div>
</footer>

<!-- jQuery -->
<script src="../static/js/jquery.min.js"></script>
<script src="../static/js/spaceg.stylesheets.min.js"></script>
<script src="../static/js/bootstrap.min.js"></script>
<script src="https://cdn.rawgit.com/google/code-prettify/master/loader/run_prettify.js"></script>
<script src="../static/js/scripts.js"></script>

</body>

</html>